%define api       2.3
%define major     1
%define libname   %mklibname clanlib %api %{major}
%define develname %mklibname clanlib %api -d

Name:		clanlib
Summary:	The ClanLib Game SDK series 2.3
Version:	2.3.7
Release:	%mkrel 14
License:	BSD-like
Group:		System/Libraries
URL:		https://www.clanlib.org/
Source0:	https://www.clanlib.org/download/releases-2.0/ClanLib-%version.tgz
Patch0:		ClanLib-2.3.6-link.patch
Patch1:		ClanLib-2.3.4-gcc47.patch
# from fedora
Patch3:		ClanLib-2.3.4-non-x86.patch
Patch6:		ClanLib-2.3.7-ftbfs.patch
Patch7:		ClanLib-2.3.7-mga-mutex.patch
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	mesa-common-devel
BuildRequires:	autoconf
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	libxslt-proc
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	doxygen

%description
The ClanLib Game SDK is a crossplatform game library designed to ease the work
for game developers. The goal is to provide a common interface to classical
game problems (loading graphics eg.), so games can share as much code as
possible. Ideally anyone with small resources should be able to write
commercial quality games.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	ClanLib-devel = %{version}-%{release}
Provides:	clanlib-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package	docs
Summary:	ClanLib documentation
Group:		Documentation
BuildArch:	noarch

%description	docs
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package contains the documentation.

%prep
%setup -q -n ClanLib-%{version}
%patch -P 0 -p0 -b .link
%patch -P 1 -p1 -b .gcc
%patch -P 3 -p1 -b .non-x86
%patch -P 6 -p1
%patch -P 7 -p1

%build
export CXXFLAGS="%{optflags} -fno-stack-protector"

%ifarch aarch64
export CXXFLAGS="$CXXFLAGS -mno-outline-atomics"
%endif

autoreconf -fi
%configure \
	--disable-static     \
	--disable-clanRegExp \
	--enable-docs
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README COPYING CREDITS
%{_libdir}/libclan*-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files docs
%{_docdir}/clanlib-%{api}


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 2.3.7-14.mga10
+ Revision: 2127144
- Rebuild for patchN deprecation

* Fri Apr 14 2023 daviddavid <daviddavid> 2.3.7-13.mga9
+ Revision: 1952976
- stop building clanRegExp lib, pcre1 is no longer maintained (mga#31791)

* Wed Jul 20 2022 umeabot <umeabot> 2.3.7-12.mga9
+ Revision: 1869504
- Mageia 9 Mass Rebuild

* Sun Nov 01 2020 wally <wally> 2.3.7-11.mga8
+ Revision: 1641192
- fix aarch64 build with gcc10

* Sun Nov 01 2020 wally <wally> 2.3.7-10.mga8
+ Revision: 1641183
- rebuild for aarch64

* Sun Nov 01 2020 wally <wally> 2.3.7-9.mga8
+ Revision: 1641172
- rebuild with fixed autoconf-2.69c.13-5147.2

* Fri Mar 06 2020 daviddavid <daviddavid> 2.3.7-8.mga8
+ Revision: 1554291
- add patch to fix build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 2.3.7-7.mga7
+ Revision: 1296282
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 cjw <cjw> 2.3.7-6.mga7
+ Revision: 1170272
- rebuild with gcc 7
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 22 2015 zezinho <zezinho> 2.3.7-4.mga6
+ Revision: 904887
- enable SSE2 on i586 as it is required #17201

* Fri Aug 28 2015 cjw <cjw> 2.3.7-3.mga6
+ Revision: 870484
- rebuild with gcc 5

* Mon Dec 08 2014 wally <wally> 2.3.7-2.mga5
+ Revision: 802142
- build with -fno-stack-protector
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 blue_prawn <blue_prawn> 2.3.7-1.mga4
+ Revision: 465598
- updated to last version 2.3.7

* Sun Jun 02 2013 fwang <fwang> 2.3.6-7.mga4
+ Revision: 434936
- rebuild for new libpng

* Sat Mar 30 2013 rtp <rtp> 2.3.6-6.mga3
+ Revision: 406694
- Merge build fix for non-x86 from Fedora

* Fri Jan 11 2013 umeabot <umeabot> 2.3.6-5.mga3
+ Revision: 347821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.3.6-4.mga3
+ Revision: 323748
- rebuild for new pcre

* Wed Oct 10 2012 fwang <fwang> 2.3.6-3.mga3
+ Revision: 304052
- drop gl_type and gl_object_type definition, clanlib does not use them
- fix build with gcc 4.7
- update rpm group
- revert doc changes
- install docs

* Thu Jun 21 2012 fwang <fwang> 2.3.6-2.mga3
+ Revision: 262431
- disable sse for ix86

* Wed Jun 20 2012 fwang <fwang> 2.3.6-1.mga3
+ Revision: 262286
- enable docs
- fix typo
- clean up spec with single libpackage
- more fix
- more fix
- more patch
- more patch
- more patch
- more patch
- fix patch
- add br
- more linkage fix
- new version 2.3.6
- Created package structure for clanlib.

